<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau:  Fichier source de include/class/affichage.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_e476b43ffada8fe94e322482066afde7.html">class</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">affichage.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="affichage_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifndef AFFICHAGE_HPP</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define AFFICHAGE_HPP</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// DEFINE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="affichage_8hpp.html#a89adc4ed9ab49d7e3ee5294c33d0bb6a">   21</a></span>&#160;<span class="preprocessor">#define WINDOW_DEFAULT_WIDTH 500</span></div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="affichage_8hpp.html#a23ae24670d549290e4585ad5dc97f522">   22</a></span>&#160;<span class="preprocessor">#define WINDOW_DEFAULT_HEIGHT 350</span></div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="affichage_8hpp.html#a3adf7b7b13572f2baf3379a8f2f4220a">   23</a></span>&#160;<span class="preprocessor">#define WINDOW_TITLE &quot;GTK window&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">// INCLUDES</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;map&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &lt;tinyxml2.h&gt;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &lt;librsvg-2.0/librsvg/rsvg.h&gt;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;gtk-3.0/gtk/gtk.h&gt;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;cairo/cairo.h&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="log_8hpp.html">module/log.hpp</a>&quot;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="gdata_8hpp.html">module/gdata.hpp</a>&quot;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment">// NAMESPACE</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacetinyxml2.html">tinyxml2</a>;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="comment">// CLASS</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="class_affichage.html">   53</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_affichage.html">Affichage</a> {</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <span class="comment">// ---------- Attributes</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        <span class="keyword">struct </span><a class="code" href="structglobal__data.html">global_data</a> *g_data; </div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="comment">// ---------- Constructors &amp; Destructor</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        <a class="code" href="class_affichage.html">Affichage</a>(<span class="keyword">struct</span> <a class="code" href="structglobal__data.html">global_data</a> *g_data);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        <a class="code" href="class_affichage.html">Affichage</a>(<span class="keyword">const</span> <a class="code" href="class_affichage.html">Affichage</a> &amp;affichage);</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        ~<a class="code" href="class_affichage.html">Affichage</a>();</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="comment">// ---------- Methods</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keywordtype">void</span> InitWindow(<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keywordtype">void</span> DrawSvg();</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <span class="keywordtype">void</span> Start();</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordtype">void</span> Stop();</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="comment">// ---------- Static Methods</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keyword">static</span> gboolean on_draw_event(GtkWidget *widget, cairo_t *canvas, gpointer user_data);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> do_drawing_svg(cairo_t * canvas, RsvgHandle *<a class="code" href="structglobal__data.html#a29f5422d00442f4cf611cc55b2f094ff">svg_handle</a>);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keyword">static</span> gboolean on_destroy_event(GtkWidget *widget, gpointer user_data);</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> do_destroy_window(<a class="code" href="class_affichage.html">Affichage</a> *affichage);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        <span class="keyword">static</span> gboolean on_resize_event(GtkWidget *widget, GdkRectangle *allocation, gpointer user_data);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> do_resize_svg(<a class="code" href="class_affichage.html">Affichage</a> *affichage);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="keyword">static</span> gboolean TickClock(GtkWidget *widget, GdkFrameClock *frame_clock, gpointer user_data);</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;};</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="comment">// DOCUMENTATION</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="comment"></span><a class="code" href="class_affichage.html#ae3d05a64af7e21df009c4483e7209c9a">Affichage::Affichage</a>(<span class="keyword">struct</span> <a class="code" href="structglobal__data.html">global_data</a> *g_data);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<a class="code" href="class_affichage.html#ae3d05a64af7e21df009c4483e7209c9a">Affichage::Affichage</a>(<span class="keyword">const</span> <a class="code" href="class_affichage.html">Affichage</a> &amp;affichage);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<a class="code" href="class_affichage.html#ae6a4f4db7a0d8d2abc8bd44c1be674c0">Affichage::~Affichage</a>();</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_affichage.html#ad58baa5d348f161915bbc94be59e6011">Affichage::InitWindow</a>(<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_affichage.html#a1fcf8746071f6e4dd471a6c0e308acd2">Affichage::DrawSvg</a>();</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_affichage.html#a0dc36ac09ca1f65b4300e61307887c54">Affichage::Start</a>();</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_affichage.html#a7f9731dfc1c3b445fb4705849308efe9">Affichage::Stop</a>();</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="keyword">static</span> gboolean <a class="code" href="class_affichage.html#a8e8d9abcdd46dbf3be9e8917cf6fef6f">Affichage::on_draw_event</a>(GtkWidget *widget, cairo_t *canvas, gpointer user_data);</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;<span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="class_affichage.html#a84112dffae3520e0f39386c163031f06">Affichage::do_drawing_svg</a>(cairo_t * canvas, RsvgHandle *<a class="code" href="structglobal__data.html#a29f5422d00442f4cf611cc55b2f094ff">svg_handle</a>);</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="keyword">static</span> gboolean <a class="code" href="class_affichage.html#a714168dff2a0f24bd2428576e77c48e0">Affichage::on_destroy_event</a>(GtkWidget *widget, gpointer user_data);</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;<span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="class_affichage.html#a6bf6b2eb6135fdff8ce5877d5b05b3c7">Affichage::do_destroy_window</a>(<a class="code" href="class_affichage.html">Affichage</a> *affichage);</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;<span class="keyword">static</span> gboolean <a class="code" href="class_affichage.html#ab5f5202529d0048b48f0bb6f1e7d7d11">Affichage::on_resize_event</a>(GtkWidget *widget, GdkRectangle *allocation, gpointer user_data);</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;<span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="class_affichage.html#aa8ea1056adc69d6651669513626c06d7">Affichage::do_resize_svg</a>(<a class="code" href="class_affichage.html">Affichage</a> *affichage);</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;<span class="keyword">static</span> gboolean <a class="code" href="class_affichage.html#a83912b3afb42dd6e743cf0d754bdfc7d">Affichage::TickClock</a>(GtkWidget *widget, GdkFrameClock *frame_clock, gpointer user_data);</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="class_affichage_html_a7f9731dfc1c3b445fb4705849308efe9"><div class="ttname"><a href="class_affichage.html#a7f9731dfc1c3b445fb4705849308efe9">Affichage::Stop</a></div><div class="ttdeci">void Stop()</div><div class="ttdoc">Arrête l&amp;#39;affichage de la fenêtre graphique. </div></div>
<div class="ttc" id="structglobal__data_html_a29f5422d00442f4cf611cc55b2f094ff"><div class="ttname"><a href="structglobal__data.html#a29f5422d00442f4cf611cc55b2f094ff">global_data::svg_handle</a></div><div class="ttdeci">RsvgHandle * svg_handle</div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00054">gdata.hpp:54</a></div></div>
<div class="ttc" id="class_affichage_html_a1fcf8746071f6e4dd471a6c0e308acd2"><div class="ttname"><a href="class_affichage.html#a1fcf8746071f6e4dd471a6c0e308acd2">Affichage::DrawSvg</a></div><div class="ttdeci">void DrawSvg()</div><div class="ttdoc">Dessine le document svg sur le canvas. </div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="class_affichage_html_a714168dff2a0f24bd2428576e77c48e0"><div class="ttname"><a href="class_affichage.html#a714168dff2a0f24bd2428576e77c48e0">Affichage::on_destroy_event</a></div><div class="ttdeci">static gboolean on_destroy_event(GtkWidget *widget, gpointer user_data)</div><div class="ttdoc">Méthode d&amp;#39;événement. </div></div>
<div class="ttc" id="namespacetinyxml2_html"><div class="ttname"><a href="namespacetinyxml2.html">tinyxml2</a></div></div>
<div class="ttc" id="structglobal__data_html"><div class="ttname"><a href="structglobal__data.html">global_data</a></div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00050">gdata.hpp:50</a></div></div>
<div class="ttc" id="class_affichage_html_ae3d05a64af7e21df009c4483e7209c9a"><div class="ttname"><a href="class_affichage.html#ae3d05a64af7e21df009c4483e7209c9a">Affichage::Affichage</a></div><div class="ttdeci">Affichage(struct global_data *g_data)</div><div class="ttdoc">Constructeur de l&amp;#39;objet Affichage. </div></div>
<div class="ttc" id="class_affichage_html_ad58baa5d348f161915bbc94be59e6011"><div class="ttname"><a href="class_affichage.html#ad58baa5d348f161915bbc94be59e6011">Affichage::InitWindow</a></div><div class="ttdeci">void InitWindow(int argc, char *argv[])</div><div class="ttdoc">Initialisation de la fenêtre graphique. </div></div>
<div class="ttc" id="class_affichage_html_a83912b3afb42dd6e743cf0d754bdfc7d"><div class="ttname"><a href="class_affichage.html#a83912b3afb42dd6e743cf0d754bdfc7d">Affichage::TickClock</a></div><div class="ttdeci">static gboolean TickClock(GtkWidget *widget, GdkFrameClock *frame_clock, gpointer user_data)</div><div class="ttdoc">Cette méthode est rappelé à chaque tick d&amp;#39;horloge. Cela nous permet d&amp;#39;appeler la méthode DrawSvg() av...</div></div>
<div class="ttc" id="class_affichage_html_a8e8d9abcdd46dbf3be9e8917cf6fef6f"><div class="ttname"><a href="class_affichage.html#a8e8d9abcdd46dbf3be9e8917cf6fef6f">Affichage::on_draw_event</a></div><div class="ttdeci">static gboolean on_draw_event(GtkWidget *widget, cairo_t *canvas, gpointer user_data)</div><div class="ttdoc">Méthode d&amp;#39;événement. </div></div>
<div class="ttc" id="class_affichage_html_a84112dffae3520e0f39386c163031f06"><div class="ttname"><a href="class_affichage.html#a84112dffae3520e0f39386c163031f06">Affichage::do_drawing_svg</a></div><div class="ttdeci">static void do_drawing_svg(cairo_t *canvas, RsvgHandle *svg_handle)</div><div class="ttdoc">Redessine le document svg sur le canvas. </div></div>
<div class="ttc" id="class_affichage_html_aa8ea1056adc69d6651669513626c06d7"><div class="ttname"><a href="class_affichage.html#aa8ea1056adc69d6651669513626c06d7">Affichage::do_resize_svg</a></div><div class="ttdeci">static void do_resize_svg(Affichage *affichage)</div><div class="ttdoc">Redimentionne la taille du fichier document svg. </div></div>
<div class="ttc" id="class_affichage_html"><div class="ttname"><a href="class_affichage.html">Affichage</a></div><div class="ttdef"><b>Definition:</b> <a href="affichage_8hpp_source.html#l00053">affichage.hpp:53</a></div></div>
<div class="ttc" id="log_8hpp_html"><div class="ttname"><a href="log_8hpp.html">log.hpp</a></div><div class="ttdoc">Module de log de debogage. </div></div>
<div class="ttc" id="class_affichage_html_a0dc36ac09ca1f65b4300e61307887c54"><div class="ttname"><a href="class_affichage.html#a0dc36ac09ca1f65b4300e61307887c54">Affichage::Start</a></div><div class="ttdeci">void Start()</div><div class="ttdoc">Démarre l&amp;#39;affichage de la fenêtre graphique. </div></div>
<div class="ttc" id="class_affichage_html_ab5f5202529d0048b48f0bb6f1e7d7d11"><div class="ttname"><a href="class_affichage.html#ab5f5202529d0048b48f0bb6f1e7d7d11">Affichage::on_resize_event</a></div><div class="ttdeci">static gboolean on_resize_event(GtkWidget *widget, GdkRectangle *allocation, gpointer user_data)</div><div class="ttdoc">Méthode d&amp;#39;événement. </div></div>
<div class="ttc" id="class_affichage_html_a6bf6b2eb6135fdff8ce5877d5b05b3c7"><div class="ttname"><a href="class_affichage.html#a6bf6b2eb6135fdff8ce5877d5b05b3c7">Affichage::do_destroy_window</a></div><div class="ttdeci">static void do_destroy_window(Affichage *affichage)</div><div class="ttdoc">Ferme la fenêtre graphique. </div></div>
<div class="ttc" id="gdata_8hpp_html"><div class="ttname"><a href="gdata_8hpp.html">gdata.hpp</a></div><div class="ttdoc">Structure de donnée partagé avec tous les composants. </div></div>
<div class="ttc" id="class_affichage_html_ae6a4f4db7a0d8d2abc8bd44c1be674c0"><div class="ttname"><a href="class_affichage.html#ae6a4f4db7a0d8d2abc8bd44c1be674c0">Affichage::~Affichage</a></div><div class="ttdeci">~Affichage()</div><div class="ttdoc">Destructeur de l&amp;#39;objet Affichage. </div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
